Subject: Re: bug#46884: [PATCH] 27.1; Cannot run find-dired with -maxdepth

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Mar 2021 10:55:03 +0200

> From: Allen Li <[email-masked]>
> Date: Wed, 3 Mar 2021 08:22:23 +0000
> Cc: [email-masked]
> 
>  This is okay, IMO, but it would be better to allow the user to specify
>  GLOBAL-ARGS interactively if the user invokes the command with a
>  prefix argument.
> 
>  How would that interact with find-args-history?

Sorry, I don't understand the question.  What does prefix arg have to
do with history?  Maybe I'm missing something.

> Actually, my current use case is calling find-dired from
> Emacs Lisp code (not interactively) where I want to avoid the warning.

I understand, but my hope is we could come up with something slightly
more general than just your use case.